<section class="getcard" ref="getcard" id="getcard">
    <SelectCard v-if="step === 0" />
    <div class="container" v-else-if="step > 0">
        <div class="container-row row" :class="$root.rtl ? 'rtl' : ''">
            <div v-if="step >= 1" class="steps desktop_steps">
                <div class="step row" :class="step >= 1 ? 'active' : ''">
                    <div class="step-dot-container">
                        <span class="step-dot" :class="step >= 1 ? 'active' : ''"></span>
                    </div>
                    <div class="step-name">{{steps.step1.title[$root.lang]}}</div>
                </div>
                <div class="step row" :class="step >= 2 ? 'active' : ''">
                    <div class="step-dot-container">
                        <span class="step-dot" :class="step >= 2 ? 'active' : ''"></span>
                    </div>
                    <div class="step-name">{{steps.step2.title[$root.lang]}}</div>
                </div>
                <div class="step row" :class="step >= 3 ? 'active' : ''">
                    <div class="step-dot-container">
                        <span class="step-dot" :class="step >= 3 ? 'active' : ''"></span>
                    </div>
                    <div class="step-name">{{steps.step3.title[$root.lang]}}</div>
                </div>
                <div class="step row" :class="step >= 4 ? 'active' : ''">
                    <div class="step-dot-container">
                        <span class="step-dot" :class="step >= 4 ? 'active' : ''"></span>
                    </div>
                    <div class="step-name">{{steps.step4.title[$root.lang]}}</div>
                </div>
                <div class="step row" :class="step >= 5 ? 'active' : ''">
                    <div class="step-dot-container">
                        <span class="step-dot" :class="step >= 5 ? 'active' : ''"></span>
                    </div>
                    <div class="step-name">{{steps.step5.title[$root.lang]}}</div>
                </div>
            </div>
            <!-- для мобильных версий пока нет переводов-->
            <div v-if="step >= 1" class="steps mobile_steps">
                <div class="step row" :class="step >= 1 ? 'active' : ''">
                    <div class="step-dot-container">
                        <span class="step-dot" :class="step >= 1 ? 'active' : ''">1</span>
                    </div>
                    <div class="step-name">{{steps.step1.mobileTitle[$root.lang]}}</div>
                    <div class="step-line"></div>
                </div>
                <div class="step row" :class="step >= 2 ? 'active' : ''">
                    <div class="step-dot-container">
                        <span class="step-dot" :class="step >= 2 ? 'active' : ''">2</span>
                    </div>
                    <div class="step-name">{{steps.step2.mobileTitle[$root.lang]}}</div>
                    <div class="step-line"></div>
                </div>
                <div class="step row" :class="step >= 3 ? 'active' : ''">
                    <div class="step-dot-container">
                        <span class="step-dot" :class="step >= 3 ? 'active' : ''">3</span>
                    </div>
                    <div class="step-name">{{steps.step3.mobileTitle[$root.lang]}}</div>
                    <div class="step-line"></div>
                </div>
                <div class="step row" :class="step >= 4 ? 'active' : ''">
                    <div class="step-dot-container">
                        <span class="step-dot" :class="step >= 4 ? 'active' : ''">4</span>
                    </div>
                    <div class="step-name">{{steps.step4.mobileTitle[$root.lang]}}</div>
                    <div class="step-line"></div>
                </div>
                <div class="step row" :class="step >= 5 ? 'active' : ''">
                    <div class="step-dot-container">
                        <span class="step-dot" :class="step >= 5 ? 'active' : ''">5</span>
                    </div>
                    <div class="step-name">{{steps.step5.mobileTitle[$root.lang]}}</div>
                </div>
            </div>
            
            <GetCardStep1 v-if="step === 1" />
            <GetCardStep2 v-show="step === 2" v-if="$root.langReady === true"/>
            <GetCardStep3 v-if="step === 3" />
            <GetCardStep4 v-if="step === 4" />
            <GetCardStep5 v-if="step === 5" />
        </div>

    </div>


</section>
